# Class not_wf_exception

- Defined in File parser.hpp

## Inheritance Relationships

### Base Type

- `public zeem::exception` (Class exception)

## Class Documentation

class not_wf_exception : public zeem::exception

  If an not_wf_exception is thrown, it means the XML document is not well formed. Often this means syntax errors, missing < or > characters, non matching open and close tags, etc.

  The what() member of the exception object will contain an explanation.

  Public Functions

  inline explicit not_wf_exception(std::string msg)